## fossil 2.20

=== zlib/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2017 Jean-loup Gailly, Mark Adler
# For conditions of distribution and use, see copyright notice in zlib.h

# To compile and test, type:
#    ./configure; make test
# Normally configure builds both a static and a shared library.
# If you want to build just a static library, use: ./configure --static

# To use the asm code, type:
#    cp contrib/asm?86/match.S ./match.S
#    make LOC=-DASMV OBJA=match.o

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=gcc

CFLAGS=-O3 -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DZLIB_DEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

SFLAGS=-O3 -fPIC -D_LARGEFILE64_SOURCE=1 -DHAVE_HIDDEN
LDFLAGS=
TEST_LDFLAGS=-L. libz.a
LDSHARED=gcc
CPP=gcc -E

STATICLIB=libz.a
SHAREDLIB=
SHAREDLIBV=
SHAREDLIBM=
LIBS=$(STATICLIB) $(SHAREDLIBV)

AR=ar
ARFLAGS=rc
RANLIB=ranlib
LDCONFIG=ldconfig
LDSHAREDLIBC=-lc
TAR=tar
SHELL=/bin/sh
EXE=

prefix =/usr/local
exec_prefix =${prefix}
libdir =${exec_prefix}/lib
sharedlibdir =${libdir}
includedir =${prefix}/include
mandir =${prefix}/share/man
man3dir = ${mandir}/man3
pkgconfigdir = ${libdir}/pkgconfig
SRCDIR=
ZINC=
ZINCOUT=-I.

OBJZ = adler32.o crc32.o deflate.o infback.o inffast.o inflate.o inftrees.o trees.o zutil.o
OBJG = compress.o uncompr.o gzclose.o gzlib.o gzread.o gzwrite.o
OBJC = $(OBJZ) $(OBJG)

PIC_OBJZ = adler32.lo crc32.lo deflate.lo infback.lo inffast.lo inflate.lo inftrees.lo trees.lo zutil.lo
PIC_OBJG = compress.lo uncompr.lo gzclose.lo gzlib.lo gzread.lo gzwrite.lo
PIC_OBJC = $(PIC_OBJZ) $(PIC_OBJG)

# to use the asm code: make OBJA=match.o, PIC_OBJA=match.lo
OBJA =
PIC_OBJA =

OBJS = $(OBJC) $(OBJA)

PIC_OBJS = $(PIC_OBJC) $(PIC_OBJA)

all: static all64

static: example$(EXE) minigzip$(EXE)

shared: examplesh$(EXE) minigzipsh$(EXE)

all64: example64$(EXE) minigzip64$(EXE)

check: test

test: all teststatic test64

teststatic: static
	@TMPST=tmpst_$$; \
	if echo hello world | ./minigzip | ./minigzip -d && ./example $$TMPST ; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; false; \
	fi
	@rm -f tmpst_$$

testshared: shared
	@LD_LIBRARY_PATH=`pwd`:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	LD_LIBRARYN32_PATH=`pwd`:$(LD_LIBRARYN32_PATH) ; export LD_LIBRARYN32_PATH; \
	DYLD_LIBRARY_PATH=`pwd`:$(DYLD_LIBRARY_PATH) ; export DYLD_LIBRARY_PATH; \
	SHLIB_PATH=`pwd`:$(SHLIB_PATH) ; export SHLIB_PATH; \
	TMPSH=tmpsh_$$; \
	if echo hello world | ./minigzipsh | ./minigzipsh -d && ./examplesh $$TMPSH; then \
	  echo '		*** zlib shared test OK ***'; \
	else \
	  echo '		*** zlib shared test FAILED ***'; false; \
	fi
	@rm -f tmpsh_$$

test64: all64
	@TMP64=tmp64_$$; \
	if echo hello world | ./minigzip64 | ./minigzip64 -d && ./example64 $$TMP64; then \
	  echo '		*** zlib 64-bit test OK ***'; \
	else \
	  echo '		*** zlib 64-bit test FAILED ***'; false; \
	fi
	@rm -f tmp64_$$

infcover.o: $(SRCDIR)test/infcover.c $(SRCDIR)zlib.h zconf.h
	$(CC) $(CFLAGS) $(ZINCOUT) -c -o $@ $(SRCDIR)test/infcover.c

infcover: infcover.o libz.a
	$(CC) $(CFLAGS) -o $@ infcover.o libz.a

cover: infcover
	rm -f *.gcda
	./infcover
	gcov inf*.c

libz.a: $(OBJS)
	$(AR) $(ARFLAGS) $@ $(OBJS)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

match.lo: match.S
	$(CPP) match.S > _match.s
	$(CC) -c -fPIC _match.s
	mv _match.o match.lo
	rm -f _match.s

example.o: $(SRCDIR)test/example.c $(SRCDIR)zlib.h zconf.h
	$(CC) $(CFLAGS) $(ZINCOUT) -c -o $@ $(SRCDIR)test/example.c

minigzip.o: $(SRCDIR)test/minigzip.c $(SRCDIR)zlib.h zconf.h
	$(CC) $(CFLAGS) $(ZINCOUT) -c -o $@ $(SRCDIR)test/minigzip.c

example64.o: $(SRCDIR)test/example.c $(SRCDIR)zlib.h zconf.h
	$(CC) $(CFLAGS) $(ZINCOUT) -D_FILE_OFFSET_BITS=64 -c -o $@ $(SRCDIR)test/example.c

minigzip64.o: $(SRCDIR)test/minigzip.c $(SRCDIR)zlib.h zconf.h
	$(CC) $(CFLAGS) $(ZINCOUT) -D_FILE_OFFSET_BITS=64 -c -o $@ $(SRCDIR)test/minigzip.c


adler32.o: $(SRCDIR)adler32.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)adler32.c

crc32.o: $(SRCDIR)crc32.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)crc32.c

deflate.o: $(SRCDIR)deflate.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)deflate.c

infback.o: $(SRCDIR)infback.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)infback.c

inffast.o: $(SRCDIR)inffast.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)inffast.c

inflate.o: $(SRCDIR)inflate.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)inflate.c

inftrees.o: $(SRCDIR)inftrees.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)inftrees.c

trees.o: $(SRCDIR)trees.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)trees.c

zutil.o: $(SRCDIR)zutil.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)zutil.c

compress.o: $(SRCDIR)compress.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)compress.c

uncompr.o: $(SRCDIR)uncompr.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)uncompr.c

gzclose.o: $(SRCDIR)gzclose.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)gzclose.c

gzlib.o: $(SRCDIR)gzlib.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)gzlib.c

gzread.o: $(SRCDIR)gzread.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)gzread.c

gzwrite.o: $(SRCDIR)gzwrite.c
	$(CC) $(CFLAGS) $(ZINC) -c -o $@ $(SRCDIR)gzwrite.c


adler32.lo: $(SRCDIR)adler32.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/adler32.o $(SRCDIR)adler32.c
	-@mv objs/adler32.o $@

crc32.lo: $(SRCDIR)crc32.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/crc32.o $(SRCDIR)crc32.c
	-@mv objs/crc32.o $@

deflate.lo: $(SRCDIR)deflate.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/deflate.o $(SRCDIR)deflate.c
	-@mv objs/deflate.o $@

infback.lo: $(SRCDIR)infback.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/infback.o $(SRCDIR)infback.c
	-@mv objs/infback.o $@

inffast.lo: $(SRCDIR)inffast.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/inffast.o $(SRCDIR)inffast.c
	-@mv objs/inffast.o $@

inflate.lo: $(SRCDIR)inflate.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/inflate.o $(SRCDIR)inflate.c
	-@mv objs/inflate.o $@

inftrees.lo: $(SRCDIR)inftrees.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/inftrees.o $(SRCDIR)inftrees.c
	-@mv objs/inftrees.o $@

trees.lo: $(SRCDIR)trees.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/trees.o $(SRCDIR)trees.c
	-@mv objs/trees.o $@

zutil.lo: $(SRCDIR)zutil.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/zutil.o $(SRCDIR)zutil.c
	-@mv objs/zutil.o $@

compress.lo: $(SRCDIR)compress.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/compress.o $(SRCDIR)compress.c
	-@mv objs/compress.o $@

uncompr.lo: $(SRCDIR)uncompr.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/uncompr.o $(SRCDIR)uncompr.c
	-@mv objs/uncompr.o $@

gzclose.lo: $(SRCDIR)gzclose.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/gzclose.o $(SRCDIR)gzclose.c
	-@mv objs/gzclose.o $@

gzlib.lo: $(SRCDIR)gzlib.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/gzlib.o $(SRCDIR)gzlib.c
	-@mv objs/gzlib.o $@

gzread.lo: $(SRCDIR)gzread.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/gzread.o $(SRCDIR)gzread.c
	-@mv objs/gzread.o $@

gzwrite.lo: $(SRCDIR)gzwrite.c
	-@mkdir objs 2>/dev/null || test -d objs
	$(CC) $(SFLAGS) $(ZINC) -fPIC -c -o objs/gzwrite.o $(SRCDIR)gzwrite.c
	-@mv objs/gzwrite.o $@


placebo $(SHAREDLIBV): $(PIC_OBJS) libz.a
	$(LDSHARED) $(SFLAGS) -o $@ $(PIC_OBJS) $(LDSHAREDLIBC) $(LDFLAGS)
	rm -f $(SHAREDLIB) $(SHAREDLIBM)
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIBM)
	-@rmdir objs

example$(EXE): example.o $(STATICLIB)
	$(CC) $(CFLAGS) -o $@ example.o $(TEST_LDFLAGS)

minigzip$(EXE): minigzip.o $(STATICLIB)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(TEST_LDFLAGS)

examplesh$(EXE): example.o $(SHAREDLIBV)
	$(CC) $(CFLAGS) -o $@ example.o -L. $(SHAREDLIBV)

minigzipsh$(EXE): minigzip.o $(SHAREDLIBV)
	$(CC) $(CFLAGS) -o $@ minigzip.o -L. $(SHAREDLIBV)

example64$(EXE): example64.o $(STATICLIB)
	$(CC) $(CFLAGS) -o $@ example64.o $(TEST_LDFLAGS)

minigzip64$(EXE): minigzip64.o $(STATICLIB)
	$(CC) $(CFLAGS) -o $@ minigzip64.o $(TEST_LDFLAGS)

install-libs: $(LIBS)
	-@if [ ! -d $(DESTDIR)$(exec_prefix)  ]; then mkdir -p $(DESTDIR)$(exec_prefix); fi
	-@if [ ! -d $(DESTDIR)$(libdir)       ]; then mkdir -p $(DESTDIR)$(libdir); fi
	-@if [ ! -d $(DESTDIR)$(sharedlibdir) ]; then mkdir -p $(DESTDIR)$(sharedlibdir); fi
	-@if [ ! -d $(DESTDIR)$(man3dir)      ]; then mkdir -p $(DESTDIR)$(man3dir); fi
	-@if [ ! -d $(DESTDIR)$(pkgconfigdir) ]; then mkdir -p $(DESTDIR)$(pkgconfigdir); fi
	rm -f $(DESTDIR)$(libdir)/$(STATICLIB)
	cp $(STATICLIB) $(DESTDIR)$(libdir)
	chmod 644 $(DESTDIR)$(libdir)/$(STATICLIB)
	-@($(RANLIB) $(DESTDIR)$(libdir)/libz.a || true) >/dev/null 2>&1
	-@if test -n "$(SHAREDLIBV)"; then \
	  rm -f $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBV); \
	  cp $(SHAREDLIBV) $(DESTDIR)$(sharedlibdir); \
	  echo "cp $(SHAREDLIBV) $(DESTDIR)$(sharedlibdir)"; \
	  chmod 755 $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBV); \
	  echo "chmod 755 $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBV)"; \
	  rm -f $(DESTDIR)$(sharedlibdir)/$(SHAREDLIB) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBM); \
	  ln -s $(SHAREDLIBV) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIB); \
	  ln -s $(SHAREDLIBV) $(DESTDIR)$(sharedlibdir)/$(SHAREDLIBM); \
	  ($(LDCONFIG) || true)  >/dev/null 2>&1; \
	fi
	rm -f $(DESTDIR)$(man3dir)/zlib.3
	cp $(SRCDIR)zlib.3 $(DESTDIR)$(man3dir)
	chmod 644 $(DESTDIR)$(man3dir)/zlib.3
	rm -f $(DESTDIR)$(pkgconfigdir)/zlib.pc
	cp zlib.pc $(DESTDIR)$(pkgconfigdir)
	chmod 644 $(DESTDIR)$(pkgconfigdir)/zlib.pc
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

install: install-libs
	-@if [ ! -d $(DESTDIR)$(includedir)   ]; then mkdir -p $(DESTDIR)$(includedir); fi
	rm -f $(DESTDIR)$(includedir)/zlib.h $(DESTDIR)$(includedir)/zconf.h
	cp $(SRCDIR)zlib.h zconf.h $(DESTDIR)$(includedir)
	chmod 644 $(DESTDIR)$(includedir)/zlib.h $(DESTDIR)$(includedir)/zconf.h

uninstall:
	cd $(DESTDIR)$(includedir) && rm -f zlib.h zconf.h
	cd $(DESTDIR)$(libdir) && rm -f libz.a; \
	if test -n "$(SHAREDLIBV)" -a -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIBV) $(SHAREDLIB) $(SHAREDLIBM); \
	fi
	cd $(DESTDIR)$(man3dir) && rm -f zlib.3
	cd $(DESTDIR)$(pkgconfigdir) && rm -f zlib.pc

docs: zlib.3.pdf

zlib.3.pdf: $(SRCDIR)zlib.3
	groff -mandoc -f H -T ps $(SRCDIR)zlib.3 | ps2pdf - $@

zconf.h.cmakein: $(SRCDIR)zconf.h.in
	-@ TEMPFILE=zconfh_$$; \
	echo "/#define ZCONF_H/ a\\\\\n#cmakedefine Z_PREFIX\\\\\n#cmakedefine Z_HAVE_UNISTD_H\n" >> $$TEMPFILE &&\
	sed -f $$TEMPFILE $(SRCDIR)zconf.h.in > $@ &&\
	touch -r $(SRCDIR)zconf.h.in $@ &&\
	rm $$TEMPFILE

zconf: $(SRCDIR)zconf.h.in
	cp -p $(SRCDIR)zconf.h.in zconf.h

mostlyclean: clean
clean:
	rm -f *.o *.lo *~ \
	   example$(EXE) minigzip$(EXE) examplesh$(EXE) minigzipsh$(EXE) \
	   example64$(EXE) minigzip64$(EXE) \
	   infcover \
	   libz.* foo.gz so_locations \
	   _match.s maketree contrib/infback9/*.o
	rm -rf objs
	rm -f *.gcda *.gcno *.gcov
	rm -f contrib/infback9/*.gcda contrib/infback9/*.gcno contrib/infback9/*.gcov

maintainer-clean: distclean
distclean: clean zconf zconf.h.cmakein
	rm -f Makefile zlib.pc configure.log
	-@rm -f .DS_Store
	@if [ -f Makefile.in ]; then \
	printf 'all:\n\t-@echo "Please use ./configure first.  Thank you."\n' > Makefile ; \
	printf '\ndistclean:\n\tmake -f Makefile.in distclean\n' >> Makefile ; \

=== debian/changelog ===
fossil (1:2.20-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Nov 2022 19:22:02 +0000

=== debian/control ===
Source: fossil
Section: vcs
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               libfuse-dev,
               libreadline-dev,
	       pkg-config,
               libssl-dev,
               tcl | tclsh,
               tcl-dev,
               zlib1g-dev | libz-dev
Rules-Requires-Root: no
Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
Homepage: https://fossil-scm.org

Package: fossil
Architecture: any
Multi-Arch: foreign
Depends: libtcl8.6 | libtcl, ${misc:Depends}, ${shlibs:Depends}
Suggests: gnupg | gnupg2
Description: DSCM with built-in wiki, http interface and server, tickets database
 Fossil is an easy-to-use Distributed Source Control Management system
 (DSCM) which supports access and administration over HTTP CGI or via
 a built-in HTTP server, has a built-in wiki, built-in file browsing,
 a built-in tickets system, etc.

## fossil 2.21

=== debian/changelog ===
fossil (1:2.21-1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix issue in the fossil HTTP client, related to the fix for
    CVE-2024-24795/apache2, preventing it from cloning from a fixed
    Apache2 server (which now strips the Content-Length response header
    issued by the fossil CGI server). (Closes: #1070069)

 -- Sylvain Beucler <beuc@debian.org>  Sun, 04 May 2025 11:12:18 +0200

fossil (1:2.21-1) unstable; urgency=medium

  * Add upstream/metadata
  * New upstream version
  * Bump policy
  * Use external sqlite3 and hope for the best regarding the JSON1 issue

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 26 Feb 2023 18:58:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
+               libsqlite3-dev (>= 3.38.0),
                bash-completion,
                libfuse-dev,
                libreadline-dev,

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_BUILD_MAINT_OPTIONS
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with bash-completion

## If system (external) sqlite has high enough version, disable internal sqlite.

## Only use internal (vendored) sqlite for now.
##
##  Checking for sqlite3_open in sqlite3...-lsqlite3
##  Error: system SQLite library omits required build option -DSQLITE_ENABLE_JSON1
##
## Also removed corresponding dependencies from debian/control:
##               libsqlite3-dev (>= 3.38),
##               sqlite3,

SQLITE_MIN_VERSION=$(shell ./configure --print-minimum-sqlite-version | tail -1)
FOSSIL_CONF_SQLITE_OPTIONS:=$(shell pkg-config sqlite3 --atleast-version=$(SQLITE_MIN_VERSION) && echo --disable-internal-sqlite)

## This is an alternative method for checking sqlite version. Seems
## less robust, as pkg-config is designed for this purpose.

# dpkg --compare-versions \
# 	$(shell dpkg --status libsqlite3-dev | egrep '^Version: ' | cut --field=2 --delimiter=' ') \
# 	ge $(SQLITE_MIN_VERSION)

override_dh_auto_configure:
	dh_auto_configure -- --disable-option-checking \
			     $(FOSSIL_CONF_SQLITE_OPTIONS) \
			     --json \
			     --with-th1-docs --with-th1-hooks \
			     --with-tcl=1 \
			     --with-tcl-stubs \
			     --with-tcl-private-stubs

execute_after_dh_installdocs:
	mv debian/fossil/usr/share/doc/fossil/changes.wiki \
	   debian/fossil/usr/share/doc/fossil/changelog

## fossil 2.22

=== debian/changelog ===
fossil (1:2.22-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY REGRESSION: break due to apache2 security update (LP: #2064509)
    - debian/patches/missing-content-length-fix-*.patch: Update HTTP reply
      parser to deal with a missing Content-Length header.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 08 May 2024 14:46:57 +0300

fossil (1:2.22-1) unstable; urgency=medium

  * New upstream version
  * Update debian/README.Debian
  * The TLS hostname verification issue was fixed long ago (closes: 991271)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 01 Jun 2023 10:13:07 +0100

## fossil 2.23

=== debian/changelog ===
fossil (1:2.23-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY REGRESSION: break due to apache2 security update (LP: #2064509)
    - debian/patches/missing-content-length-fix-*.patch: Update HTTP reply
      parser to deal with a missing Content-Length header.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 08 May 2024 14:48:59 +0300

fossil (1:2.23-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:03 +1100

fossil (1:2.23-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:55:04 +0000

fossil (1:2.23-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Nov 2023 21:49:52 +0000

fossil (1:2.22-2) unstable; urgency=medium

  * update autosetup/autosetup-config.{guess,sub} in build (closes: #1051443)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 Sep 2023 14:14:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libsqlite3-dev (>= 3.38.0),

## fossil 2.24

=== debian/changelog ===
fossil (1:2.24-6) unstable; urgency=medium

  * Add "Breaks: apache2-bin (<< 2.4.59-1~)" per #1070069 discussion.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Apr 2024 15:32:05 +0100

fossil (1:2.24-5) unstable; urgency=medium

  * Cherry-pick fix f4ffefe708793b03 for CVE-2024-24795 and add
    "Breaks: apache2 (<< 2.4.59-1~)" to stage fix; see
    https://bz.apache.org/bugzilla/show_bug.cgi?id=68905
    (closes: #1070069)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 29 Apr 2024 21:11:22 +0100

fossil (1:2.24-4) unstable; urgency=medium

  * fossil merge branch-2.24, commit fb4e90b662803e47, to fix another
    build failure due to bit rot in the test suite

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Apr 2024 15:01:20 +0100

fossil (1:2.24-3) unstable; urgency=medium

  * fossil merge branch-2.24, commit 5ad708085a90365f, to fix a build
    failure due to bit rot in the test suite

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Apr 2024 09:23:21 +0100

fossil (1:2.24-2) unstable; urgency=medium

  * Oops, typo: pkgconf

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Apr 2024 16:51:24 +0100

fossil (1:2.24-1) unstable; urgency=medium

  * New upstream version
  * Bump policy
  * Build depend on pkgconfig instead of obsolete pkg-config

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Apr 2024 15:29:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.6.2
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                libsqlite3-dev (>= 3.38.0),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-	       pkg-config,
+	       pkgconf,
                libssl-dev,
                tcl | tclsh,
                tcl-dev,
@@ -22,6 +21,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: libtcl8.6 | libtcl, ${misc:Depends}, ${shlibs:Depends}
+Breaks: apache2 (<< 2.4.59-1~), apache2-bin (<< 2.4.59-1~)
 Suggests: gnupg | gnupg2
 Description: DSCM with built-in wiki, http interface and server, tickets database
  Fossil is an easy-to-use Distributed Source Control Management system

## fossil 2.25

=== debian/changelog ===
fossil (1:2.25-4) unstable; urgency=medium

  * Patch upstream riscv64-recent-GCC-breaking (1<<31) print issue
  * Remove clang riscv64 hot-wiring

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Apr 2025 20:15:20 +0100

fossil (1:2.25-3) unstable; urgency=medium

  * Use clang on riskc64 to address (1<<31) bug with GCC on that platform
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Apr 2025 01:00:15 +0100

fossil (1:2.25-2) unstable; urgency=medium

  * Recommend package with fuse executable in binary package

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Apr 2025 18:29:23 +0100

fossil (1:2.25-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Feb 2025 08:12:43 +0000

## fossil 2.26

=== debian/changelog ===
fossil (1:2.26-2) unstable; urgency=medium

  * Alter comfiguration options per upstream recommendations, and adjust
    dependencies correspondingly.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 16 May 2025 14:40:30 +0100

fossil (1:2.26-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 01 May 2025 14:44:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
-               libsqlite3-dev (>= 3.38.0),
+               libsqlite3-dev,
                bash-completion,
-               libfuse-dev,
+	       tcl | tclsh,
                libreadline-dev,
 	       pkgconf,
                libssl-dev,
-               tcl | tclsh,
-               tcl-dev,
                zlib1g-dev | libz-dev
 Rules-Requires-Root: no
 Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
@@ -20,7 +18,7 @@
 Package: fossil
 Architecture: any
 Multi-Arch: foreign
-Depends: libtcl8.6 | libtcl, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: apache2 (<< 2.4.59-1~), apache2-bin (<< 2.4.59-1~)
 Suggests: gnupg | gnupg2
 Description: DSCM with built-in wiki, http interface and server, tickets database

=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,21 @@
 # 	$(shell dpkg --status libsqlite3-dev | egrep '^Version: ' | cut --field=2 --delimiter=' ') \
 # 	ge $(SQLITE_MIN_VERSION)
 
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- update-config-guess-sub
+
+.PHONY: update-config-guess-sub
+update-config-guess-sub:
+	f=/usr/share/misc/; \
+	g=autosetup/autosetup-; \
+	for e in config.guess config.sub; do \
+	  cmp $$f$$e $$g$$e || cp --verbose $$f$$e $$g$$e; \
+	done
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-option-checking \
 			     $(FOSSIL_CONF_SQLITE_OPTIONS) \
-			     --json \
-			     --with-th1-docs --with-th1-hooks \
-			     --with-tcl=1 \
-			     --with-tcl-stubs \
-			     --with-tcl-private-stubs
+			     --disable-fusefs
 
 execute_after_dh_installdocs:
 	mv debian/fossil/usr/share/doc/fossil/changes.wiki \

## fossil 2.27

=== src/Makefile ===
all clean:
	$(MAKE) -C .. $(MAKECMDGOALS)

=== debian/changelog ===
fossil (1:2.27-2) unstable; urgency=medium

  * Remove ghost file removed in cherry-picked upstream commit

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Oct 2025 20:38:25 +0100

fossil (1:2.27-1) unstable; urgency=medium

  * New upstream version
  * Remove now-unnecessary rules-requires-root:no line

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Sep 2025 16:22:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 	       pkgconf,
                libssl-dev,
                zlib1g-dev | libz-dev
-Rules-Requires-Root: no
 Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
 Homepage: https://fossil-scm.org

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,10 @@
 	  cmp $$f$$e $$g$$e || cp --verbose $$f$$e $$g$$e; \
 	done
 
+execute_before_dh_auto_configure:
+	@echo "Removed in cherry-picked upstream patch, be sure it is gone."
+	-rm --force --verbose test/settings.test
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-option-checking \
 			     $(FOSSIL_CONF_SQLITE_OPTIONS) \

=== debian/tests/control ===
# flags that can be passed to test/tester.tcl (see src/main.mk)
#
#  -halt     Stop testing after the first failed test
#  -keep     Keep the temporary workspace for debugging
#  -prot     Write a detailed log of the tests to the file ./prot
#  -verbose  Include even more details in the output
#  -quiet    Hide most output from the terminal
#  -strict   Treat known bugs as failures
Test-command: tclsh test/tester.tcl /usr/bin/fossil
Depends: @, tcl
Restrictions: allow-stderr

=== debian/watch ===
version=4

# This gets the latest version, with the undesired files excluded.
# https://fossil-scm.org/home/tarball?ex=autosetup/jimsh0.c,compat/zlib/contrib/dotzlib/DotZLib.chm

https://fossil-scm.org/home/uv/latest-release.md \
 .*/@PACKAGE@-src-@ANY_VERSION@@ARCHIVE_EXT@

## fossil 2010.01.24.175507

=== Makefile ===
#!/usr/bin/make
#
#### The toplevel directory of the source tree.  Fossil can be built
#    in a directory that is separate from the source tree.  Just change
#    the following to point from the build directory to the src/ folder.
#
SRCDIR = ./src

#### C Compiler and options for use in building executables that
#    will run on the platform that is doing the build.  This is used
#    to compile code-generator programs as part of the build process.
#    See TCC below for the C compiler for building the finished binary.
#
BCC = gcc -g -O2

#### The suffix to add to executable files.  ".exe" for windows.
#    Nothing for unix.
#
E =

#### C Compile and options for use in building executables that 
#    will run on the target platform.  This is usually the same
#    as BCC, unless you are cross-compiling.  This C compiler builds
#    the finished binary for fossil.  The BCC compiler above is used
#    for building intermediate code-generator tools.
#
#TCC = gcc -O6
#TCC = gcc -g -O0 -Wall -fprofile-arcs -ftest-coverage
TCC = gcc -g -Os -Wall

#### Extra arguments for linking the finished binary.  Fossil needs
#    to link against the Z-Lib compression library.  There are no
#    other dependencies.  We sometimes add the -static option here
#    so that we can build a static executable that will run in a
#    chroot jail.
#
LIB = -lz $(LDFLAGS)
# If you're on OpenSolaris:
# LIB += lsocket
# Solaris 10 needs:
# LIB += -lsocket -lnsl
# My assumption is that the Sol10 flags will work for Sol8/9 and possibly 11.


#### Tcl shell for use in running the fossil testsuite.
#
TCLSH = tclsh

#### Include a configuration file that can override any one of these settings.
#
-include config.mak

# You should not need to change anything below this line
###############################################################################
include $(SRCDIR)/main.mk

## fossil 2010.06.11.120259

=== debian/control ===
Source: fossil
Section: vcs
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.8.4
Build-depends: debhelper (>= 7.2.5), libsqlite3-dev (>= 3.6.17), tcl8.5 | tclsh, zlib1g-dev | libz-dev, libssl-dev
Vcs-Browser: http://fossil-scm.org
Homepage: http://fossil-scm.org

Package: fossil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnupg | gnupg2
Description: DSCM with built-in wiki, http interface and server, tickets database
 Fossil is an easy-to-use Distributed Source Control Management system
 (DSCM) which supports access and administration over HTTP CGI or via
 a built-in HTTP server, has a built-in wiki, built-in file browsing,
 a built-in tickets system, etc.

## fossil 2010.08.05.100943

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,11 @@
 #    the following to point from the build directory to the src/ folder.
 #
 SRCDIR = ./src
+
+#### The directory into which object code files should be written.
+#
+#
+OBJDIR = ./obj
 
 #### C Compiler and options for use in building executables that
 #    will run on the platform that is doing the build.  This is used
@@ -28,6 +33,9 @@
 #TCC = gcc -g -O0 -Wall -fprofile-arcs -ftest-coverage
 TCC = gcc -g -Os -Wall
 
+# To add support for HTTPS
+TCC += -DFOSSIL_ENABLE_SSL
+
 #### Extra arguments for linking the finished binary.  Fossil needs
 #    to link against the Z-Lib compression library.  There are no
 #    other dependencies.  We sometimes add the -static option here
@@ -40,16 +48,14 @@
 # Solaris 10 needs:
 # LIB += -lsocket -lnsl
 # My assumption is that the Sol10 flags will work for Sol8/9 and possibly 11.
-
+# 
+# If using HTTPS:
+LIB += -lcrypto -lssl
 
 #### Tcl shell for use in running the fossil testsuite.
 #
 TCLSH = tclsh
 
-#### Include a configuration file that can override any one of these settings.
-#
--include config.mak
-
 # You should not need to change anything below this line
 ###############################################################################
 include $(SRCDIR)/main.mk

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.8.4
-Build-depends: debhelper (>= 7.2.5), libsqlite3-dev (>= 3.6.17), tcl8.5 | tclsh, zlib1g-dev | libz-dev, libssl-dev
+Standards-Version: 3.9.1
+Build-depends: debhelper (>= 7.2.5), libsqlite3-dev (>= 3.7.0), tcl8.5 | tclsh, zlib1g-dev | libz-dev, libssl-dev
 Vcs-Browser: http://fossil-scm.org
 Homepage: http://fossil-scm.org

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# override_dh_auto_build:
# 	@echo remove local copy of sqlite3 in case of deletion reversion
# 	-rm -f src/sqlite3.c src/sqlite3.h
# 	dh_auto_build

override_dh_auto_install:

## fossil 2010.12.07.133137

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #### The directory into which object code files should be written.
 #
 #
-OBJDIR = ./obj
+OBJDIR = ./bld
 
 #### C Compiler and options for use in building executables that
 #    will run on the platform that is doing the build.  This is used
@@ -43,12 +43,7 @@
 #    chroot jail.
 #
 LIB = -lz $(LDFLAGS)
-# If you're on OpenSolaris:
-# LIB += lsocket
-# Solaris 10 needs:
-# LIB += -lsocket -lnsl
-# My assumption is that the Sol10 flags will work for Sol8/9 and possibly 11.
-# 
+
 # If using HTTPS:
 LIB += -lcrypto -lssl
 
@@ -58,4 +53,17 @@
 
 # You should not need to change anything below this line
 ###############################################################################
+#
+# Automatic platform-specific options.
+HOST_OS!= uname -s
+
+LIB.SunOS= -lsocket -lnsl
+LIB += $(LIB.$(HOST_OS))
+
+TCC.DragonFly += -DUSE_PREAD
+TCC.FreeBSD += -DUSE_PREAD
+TCC.NetBSD += -DUSE_PREAD
+TCC.OpenBSD += -DUSE_PREAD
+TCC += $(TCC.$(HOST_OS))
+
 include $(SRCDIR)/main.mk

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,11 @@
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Standards-Version: 3.9.1
-Build-depends: debhelper (>= 7.2.5), libsqlite3-dev (>= 3.7.0), tcl8.5 | tclsh, zlib1g-dev | libz-dev, libssl-dev
+Build-depends: debhelper (>= 8),
+	       libsqlite3-dev (>= 3.7.0),
+	       tcl8.5 | tclsh,
+	       zlib1g-dev | libz-dev,
+	       libssl-dev
 Vcs-Browser: http://fossil-scm.org
 Homepage: http://fossil-scm.org

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh $@ --parallel
 
 # override_dh_auto_build:
 # 	@echo remove local copy of sqlite3 in case of deletion reversion

## fossil 2011.05.28.185122

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make
+#
+# This is the top-level makefile for Fossil when the build is occurring
+# on a unix platform.  This works out-of-the-box on most unix platforms.
+# But you are free to vary some of the definitions if desired.
 #
 #### The toplevel directory of the source tree.  Fossil can be built
 #    in a directory that is separate from the source tree.  Just change
@@ -16,10 +20,10 @@
 #    to compile code-generator programs as part of the build process.
 #    See TCC below for the C compiler for building the finished binary.
 #
-BCC = gcc -g -O2
+BCC = gcc
 
-#### The suffix to add to executable files.  ".exe" for windows.
-#    Nothing for unix.
+#### The suffix to add to final executable file.  When cross-compiling
+#    to windows, make this ".exe".  Otherwise leave it blank.
 #
 E =
 
@@ -47,7 +51,8 @@
 # If using HTTPS:
 LIB += -lcrypto -lssl
 
-#### Tcl shell for use in running the fossil testsuite.
+#### Tcl shell for use in running the fossil testsuite.  If you do not
+#    care about testing the end result, this can be blank.
 #
 TCLSH = tclsh
 
@@ -55,7 +60,7 @@
 ###############################################################################
 #
 # Automatic platform-specific options.
-HOST_OS!= uname -s
+HOST_OS :sh = uname -s
 
 LIB.SunOS= -lsocket -lnsl
 LIB += $(LIB.$(HOST_OS))

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-depends: debhelper (>= 8),
-	       libsqlite3-dev (>= 3.7.0),
+	       libsqlite3-dev (>= 3.7.3),
 	       tcl8.5 | tclsh,
 	       zlib1g-dev | libz-dev,
 	       libssl-dev

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --parallel

override_dh_auto_build:
	@echo remove local copy of sqlite3 in case of deletion reversion
	rm -f src/sqlite3.h || echo WARNING: re-deleting src/sqlite3.h
	rm -f src/sqlite3.c || echo WARNING: re-deleting src/sqlite3.c
	dh_auto_build

override_dh_auto_install:
